Loading...
Searching...
No Matches
omAllocFunc.h File Reference

Go to the source code of this file.

## Functions

void * | omCallocFunc (size_t nmemb, size_t size)
void * | omMallocFunc (size_t size)
void | omFreeFunc (void *addr)
void * | omVallocFunc (size_t size)
void * | omReallocFunc (void *old_addr, size_t new_size)
char * | omStrdupFunc (const char *addr)
void * | omReallocSizeFunc (void *old_addr, size_t old_size, size_t new_size)
void | omFreeSizeFunc (void *addr, size_t size)

## Function Documentation

## omCallocFunc()

void * omCallocFunc | ( | size_t | nmemb,
|  | size_t | size )

## omFreeFunc()

void omFreeFunc | ( | void * | addr | ) |

## omFreeSizeFunc()

void omFreeSizeFunc | ( | void * | addr,
|  | size_t | size )

## omMallocFunc()

void * omMallocFunc | ( | size_t | size | ) |

## omReallocFunc()

void * omReallocFunc | ( | void * | old_addr,
|  | size_t | new_size )

## omReallocSizeFunc()

void * omReallocSizeFunc | ( | void * | old_addr,
|  | size_t | old_size,
|  | size_t | new_size )

## omStrdupFunc()

char * omStrdupFunc | ( | const char * | addr | ) |

## omVallocFunc()

void * omVallocFunc | ( | size_t | size | ) |